## mupdf 1.24.10+ds1

=== debian/changelog ===
mupdf (1.24.10+ds1-1) unstable; urgency=medium

  * New upstream version 1.24.10+ds1
  * debian/mupdf.docs
    + Don't install COPYING file to avoid lintian warning.
  * debian/control
    + Update Vcs-* fields, the repo was moved to debian group.
    + Add python3-sphinx-rtd-theme,furo and rst2pdf in B-D.
    + Add libjs-sphinxdoc in Depends.
  * Add mupdf.links file
    + Add symlinks to use debian js libs instead embedded Js libs.
  * debian/rules
    + Add override to install html doc. (Closes: #952284)
  * Add debian/mupdf.doc-base file.
  * Use wrap-and-sort

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 10 Oct 2024 18:49:53 -0500

mupdf (1.24.9+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add myself as uploader. (Closes: #1073285)
    + Add python3-docutils and python3-pygments in BD to build manpages.
  * debian/watch
    + bump version to 4.
  * debian/source/lintian-overrides
    + Remove unused lintian override.
  * debian/*.lintian-overrides
    + Add lintian overrides about new manpages.
  * debian/copyright
    + Add myself in debian holders copyright.
  * Add debian/upstream/metadata file.
  * Add debian/create_tools_manpages.sh
    + to create a missing tools manpages.
  * debian/clean
    + Add output_files entry.
  * debian/rules
    + Add dh_installmanpages override to install missing manpages.
  * debian/mupdf-tools.manpages
    + Install muraster manpage.
  * debian/mupdf.manpages
    + Install mupdf-gl manpage.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 19 Sep 2024 20:09:48 -0500

mupdf (1.24.8+ds2-2) unstable; urgency=medium

  * debian/control: libmupdf-dev should depend on libfreetype-dev
    (Closes: #1079519)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 27 Aug 2024 21:09:32 +0900

mupdf (1.24.8+ds2-1) unstable; urgency=medium

  * New upstream version 1.24.8+ds2
  * debian/mupdf.install: Install all icons
  * debian/patches: Add patch to use Charis SIL ttf font directly
  * debian/control: bump standards-version to 4.7.0, no changes needed
  * debian/copyright: exclude generated files
  * debian/control: switch pkg-config to pkgconf

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 23 Aug 2024 08:26:03 +0900
