## mupdf 1.25.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -24,15 +24,21 @@
                libx11-dev,
                libxext-dev,
                pkgconf,
+	       dh-sequence-python3,
+               python3-all-dev,
+               python3-clang,
                python3-docutils,
+               python3-roman,
                python3-pygments,
+               python3-sphinx-copybutton,
                python3-sphinx-rtd-theme,
-               python3:any,
+	       python3-sphinx,
                rst2pdf,
+               swig,
                texlive-fonts-extra,
                unzip,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupdf.com/
 Vcs-Git: https://salsa.debian.org/debian/mupdf.git
@@ -41,20 +47,33 @@
 Package: libmupdf-dev
 Architecture: any
 Section: libdevel
-Depends: libfreetype-dev, ${misc:Depends}
+Depends: libfreetype-dev, libmupdf25.1 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: development files for the MuPDF viewer
  MuPDF is a lightweight PDF viewer and toolkit written in portable C.
  It also reads XPS, OpenXPS and ePub documents.
  .
- This package contains the static library and headers.
+ This package contains the static the unversioned library and headers.
+
+Package: libmupdf25.1
+Architecture: any
+Section: libs
+Depends: libjbig2dec0 (>= 0.19), ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${Built-Using}
+Description: shared library for the MuPDF viewer
+ MuPDF is a lightweight PDF viewer and toolkit written in portable C.
+ It also reads XPS, OpenXPS and ePub documents.
+ .
+ This package contains the shared library libmupdf and libmupdfcpp.
 
 Package: mupdf
 Architecture: any
 Depends: libjbig2dec0 (>= 0.19),
          libjs-sphinxdoc,
+         libmupdf25.1 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+	     ${sphinxdoc:Depends}
 Built-Using: ${Built-Using}
 Suggests: mupdf-tools
 Provides: pdf-viewer
@@ -69,7 +88,10 @@
 
 Package: mupdf-tools
 Architecture: any
-Depends: libjbig2dec0 (>= 0.19), ${misc:Depends}, ${shlibs:Depends}
+Depends: libjbig2dec0 (>= 0.19),
+         libmupdf25.1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: command line tools for the MuPDF viewer
  MuPDF is a lightweight PDF viewer and toolkit written in portable C.
  It also reads XPS, OpenXPS and ePub documents.
@@ -77,3 +99,12 @@
  This package contains command line tools using the MuPDF library:
   - mutool - tool for clean, extract, inspect PDF documents and
              render PDF/XPS/CBZ documents.
+
+Package: python3-mupdf
+Architecture: any
+Depends: libmupdf25.1 (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Python bindings for MuPDF library
+ MuPDF is a lightweight PDF viewer and toolkit written in portable C.
+ It also reads XPS, OpenXPS and ePub documents.
+ .
+ This package contains the contains low level mupdf Python bindings.
