=== debian/changelog ===
mupdf (1.25.1+ds1-7) unstable; urgency=high

  * Fix CVE-2025-46206: Infinite recursion in `mutool clean` when processing
    cyclic /Next references in PDF outlines. (Closes: #1110482)
    + Thanks to Yang Wang for preparing the update.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 07 Aug 2025 08:40:44 +0900

mupdf (1.25.1+ds1-6) unstable; urgency=medium

  * Fix segfault when using get_text() on arm64 (Closes: #1100748)
    + Thanks to Johannes Schauer for the patch
  * Update symbols file

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 21 Apr 2025 17:12:48 -0500

mupdf (1.25.1+ds1-5) unstable; urgency=medium

  * Move to unstable. (Closes: #1091865)

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 11 Jan 2025 15:10:11 -0500

mupdf (1.25.1+ds1-4) experimental; urgency=medium

  * Add python3-mupdf package that contains mupdf python bindings.
  * debian/copyright
    + Extend debian copyright holder years.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 02 Jan 2025 21:59:47 -0500

mupdf (1.25.1+ds1-3) experimental; urgency=medium

  * Install libmupdfcpp library.
  * Update symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 01 Jan 2025 21:17:25 -0500

mupdf (1.25.1+ds1-2) experimental; urgency=medium

  * Install missing header files.

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 30 Dec 2024 20:56:45 -0500

mupdf (1.25.1+ds1-1) experimental; urgency=medium

  * New upstream release. (Closes: #1089681)
  * debian/control
    + Add libmupdf25.1 package. (Closes: #719351)
    + Add python3-dev, python3-clang, swig, python3-sphinx-copybutton in BD.
    + Add ${sphinxdoc:Depends} in Depends.
  * Remove unused lintian overrides.
  * debian/patches
    + Add 0010_add_missing_hardening_flags.diff
    + Refresh 0008-Add-fallback-for-missing-SA_NOCLDWAIT.patch
  * Rename mupdf.pc to mupdf.pc.in
  * debian/rules
    + update rules to build shared library.
    + Add override to build doc with sphinxdoc.
  * Add libmupdf25.1.install file.
  * Update libmupdf-dev.install to install the lib.
  * Remove -static from debian/tests/Makefile.
  * Add libmupdf25.1.symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 19 Oct 2024 10:18:38 -0500
