=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
                libxext-dev,
                pkgconf,
 	       dh-sequence-python3,
-               python3-all-dev,
+	       python3-all,
                python3-clang,
+               python3-dev:any,
                python3-docutils,
-               python3-roman,
                python3-pygments,
                python3-sphinx-copybutton,
                python3-sphinx-rtd-theme,
@@ -38,7 +38,7 @@
                texlive-fonts-extra,
                unzip,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://mupdf.com/
 Vcs-Git: https://salsa.debian.org/debian/mupdf.git
