## mupdf 1.27.0%2Bds1

=== debian/changelog ===
mupdf (1.27.0+ds1-3) unstable; urgency=medium

  * debian/patches
    + Fix CVE-2026-25556 double-free in
      fz_fill_pixmap_from_display_list(). (Closes: #1127318)

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 07 Feb 2026 19:18:33 -0500

mupdf (1.27.0+ds1-2) unstable; urgency=medium

  * Move to unstable

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 17 Jan 2026 20:58:22 -0500

mupdf (1.27.0+ds1-1) experimental; urgency=medium

  * New upstream version 1.27.0+ds1 (Closes: #1117598)
  * debian/control
    + Rename lib package to libmupdf27.0 for new soname
    + Add libgl-dev, libxrandr-dev, libbrotli-dev,libzxing-dev in B-D
    + Add python3-myst-parser in B-D (Closes: #1123406)
    + Add fonts-noto-ui-core in B-D
    + Remove Rules-Requires-Root field
  * debian/patches
    + Add 0011-use-inline-mujs-regexp.patch
      + Inline mujs regexp definitions to build against system libmujs
    + Add 0012-exclude-unavailable-noto-fonts.patch
      + Exclude Noto fonts not available in Debian packages
    + Add 0013-remove-unavailable-sphinx-extensions.patch
      + Remove unavailable and unwanted Sphinx extensions
    + Add fix-mutool-manpage-groff-errors.patch
      + Fix groff errors in mutool manpage
    + Add 0014-add-py-limited-api-build-suffix.patch
      + Avoid segfaults by separating Py_LIMITED_API builds (Closes: #1122041)
    + Remove debian/patches/fix-cve-2025-46206.patch
      + Merge with upstream
    + Remove debian/patches/0008-define-SONAME-header.patch
      + Merge with upstream
    + Refresh other patches
  * debian/rules
    + Add target extra-apps to build muraster and other tools
    + Update dh_installman and dh_sphinxdoc overrides
    + Disable parallel builds to avoid build issues
    + Update override_dh_clean to delete some resources.
  * debian/debian/mupdf-tools.install
    + Adjust install paths for relocated muraster binary
  * debian/mupdf-tools.manpages
    + Provide muraster doc from debian/ since upstream no longer ships it
  * Rename libmupdf25.1.symbols to libmupdf27.0.symbols
    + Update some symbols
    + Add Build-Depends-Package field
  * Update debian/watch to fetch tarball url correctly
  * Rename libmupdf25.1.install to libmupdf27.0.install
  * Extend diff-ignore to exclude thirdparty/zint and thirdparty/zxing-cpp
  * debian/copyright
    + Extend debian copyright holder years

 -- Daniel Echeverri <epsilon@debian.org>  Tue, 06 Jan 2026 21:24:02 -0500

mupdf (1.25.1+ds1-9) unstable; urgency=medium

  * debian/control
    + Add python3-roman in B-D
  * debian/patches
     + Remove 0011-fix-FTBFS-disable-rst2pdf-on-html-build.diff
       + that caused regressions fails in pymupdf. (Closes: #1119022)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 26 Oct 2025 09:57:18 -0500

mupdf (1.25.1+ds1-8) unstable; urgency=medium

  * debian/control
    + Replace python3-all, python3-dev with python3-all-dev (Closes: #1118662)
    + Bump standards-version to 4.7.2, no changes needed
  * debian/patches
    + Add 0011-fix-FTBFS-disable-rst2pdf-on-html-build.diff
      + Disable rst2pdf on html build. (Closes: #1118307)

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 25 Oct 2025 08:52:52 -0500
